Electronic billing
Emit an invoice for an existing sale with a durable idempotency key.
Path Parameters
id*string
The Wahio order ID
Header Parameters
X-Api-Key*string
Your API Key for authentication
Idempotency-Key*string
Stable key for retries; 1-128 printable ASCII characters, without spaces
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orders/string/electronic-document/emit" \ -H "X-Api-Key: string" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "account_id": "string", "order_id": "string", "document_type": "string", "is_credit_note": true, "credit_note_reason": "string", "number": "string", "resolution_number": 0, "uuid": "string", "is_valid": true, "status_code": "string", "status_description": "string", "status_message": "string", "errors_messages": [ "string" ], "qr_link": "string", "pdf_url": "string", "xml_url": "string", "attached_document_xml_url": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "issue_date": "string", "expedition_date": "string"}